Package com.io7m.idstore.server.api

# Record Class IdServerSessionConfiguration

java.lang.Object
java.lang.Record
com.io7m.idstore.server.api.IdServerSessionConfiguration

Record Components:
  `userSessionExpiration` - The expiration time for inactive user sessions
  `adminSessionExpiration` - The expiration time for inactive admin sessions

public record IdServerSessionConfiguration(Duration userSessionExpiration, Duration adminSessionExpiration) extends Record
Configuration for user and admin login sessions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdServerSessionConfiguration(Duration userSessionExpiration, Duration adminSessionExpiration)`
  Configuration for user and admin login sessions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Duration`
  `adminSessionExpiration()`
  Returns the value of the `adminSessionExpiration` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Duration`
  `userSessionExpiration()`
  Returns the value of the `userSessionExpiration` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdServerSessionConfiguration

    public IdServerSessionConfiguration(Duration userSessionExpiration, Duration adminSessionExpiration)
    Configuration for user and admin login sessions.
    Parameters:
      `userSessionExpiration` - The expiration time for inactive user sessions
      `adminSessionExpiration` - The expiration time for inactive admin sessions

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### userSessionExpiration

    public Duration userSessionExpiration()
    Returns the value of the `userSessionExpiration` record component.
    Returns:
      the value of the `userSessionExpiration` record component

  - ### adminSessionExpiration

    public Duration adminSessionExpiration()
    Returns the value of the `adminSessionExpiration` record component.
    Returns:
      the value of the `adminSessionExpiration` record component